/**
 *
 * Copyright 2013 Vibes.IO
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @class Vibes
 * @description This is the main namespace of the SDK. Through this you get access to all Vibes SDK tools.
 * @type {{space: *}}
 */
module.exports = {
    /**
     * @method space
     * @description Establish a secure link with the space resource specified through the url. Through this abstraction, you
     *  can manipulate and query space resources. The space becomes exactly like a local database where you can retrieve, store and query faceted resources.
     */
    space: require('./lib/space')
};
